server {
    listen      443 ssl http2;
    server_name default_server;

    include sec.conf;
    include default.csp.conf;

    location /
    {
      rewrite ^/martialarts(\/*)$ /assets/martialarts/index.html;
      location /aninix.xml { 
          proxy_hide_header Content-Type;
          add_header content-type "application/atom+xml";
          rewrite /aninix.xml /AniNIX/Wiki/raw/branch/main/rss/aninix.xml;
      }
      location /martialarts/maqotw.xml { 
          proxy_hide_header Content-Type;
          add_header content-type "application/atom+xml";
          rewrite /martialarts/maqotw.xml /AniNIX/Wiki/raw/branch/main/rss/maqotw.xml;
      }
      proxy_set_header Host $http_host;
      proxy_set_header X-Forwarded-Host $host;
      proxy_set_header X-Forwarded-Server $host;
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_pass       http://127.0.0.1:3000;
    }

    location /whatismyip
    {
        include ../conf.d/fastcgi.config;
        root /usr/share/webapps/aninix/;
        location ~* whatismyip {
            try_files $uri /whatismyip.php;
            expires max;
        }
    }
    location /blackpage
    {
        root /usr/share/webapps/aninix/;
        try_files $uri /blackpage.html;
    }
    
    include letsencrypt.conf;

}
